summaryrefslogtreecommitdiff
path: root/tests/mkdir/p-3
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mkdir/p-3')
-rwxr-xr-xtests/mkdir/p-316
1 files changed, 8 insertions, 8 deletions
diff --git a/tests/mkdir/p-3 b/tests/mkdir/p-3
index 59bf33781..d9e49d5dc 100755
--- a/tests/mkdir/p-3
+++ b/tests/mkdir/p-3
@@ -29,7 +29,7 @@ PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
@@ -45,20 +45,20 @@ if test $framework_failure = 1; then
fi
p=$pwd/$tmp
-(cd no-access && chmod 0 . && mkdir -p $p/a/b u/v) 2> /dev/null && fail=1
-test -d $p/a/b || fail=1
+(cd no-access && chmod 0 . && mkdir -p "$p"/a/b u/v) 2> /dev/null && fail=1
+test -d "$p"/a/b || fail=1
# Same as above, but with a following *absolute* name, it should succeed
-(cd no-acce2s && chmod 0 . && mkdir -p $p/b/b $p/z) || fail=1
-test -d $p/b/b && test -d $p/z || fail=1
+(cd no-acce2s && chmod 0 . && mkdir -p "$p"/b/b "$p"/z) || fail=1
+test -d "$p"/b/b && test -d "$p"/z || fail=1
# Same as above, but a trailing relative name in an unreadable directory
# whose parent is inaccessible. coreutils 5.97 fails this test.
-(cd no-acce3s/d && chmod a-rx .. && chmod a-r . && mkdir -p a/b $p/b/c d/e &&
+(cd no-acce3s/d && chmod a-rx .. && chmod a-r . && mkdir -p a/b "$p"/b/c d/e &&
test -d a/b && test -d d/e) || fail=1
-test -d $p/b/c || fail=1
+test -d "$p"/b/c || fail=1
-b=`ls $p/a|tr -d '\n'`
+b=`ls "$p"/a|tr -d '\n'`
# With coreutils-5.3.0, this would fail with $b=bu.
test "x$b" = xb || fail=1